Page MenuHomePhabricator

Right messages from DeleteUserPages should not start with "Can"
Closed, ResolvedPublic

Description

Replace "Can delete" by "Delete" for consistency with other messages.

Can delete subpages of their own user page
Can delete own user and user talk page

Additionaly, action messages should be replaced

"action-delete-rootuserpages": "can delete own user and user talk page",
"action-delete-usersubpages": "can delete subpages of their own user page",

with

"action-delete-rootuserpages": "delete own user and user talk page",
"action-delete-usersubpages": "delete subpages of their own user page",


URL: https://translatewiki.net/wiki/MediaWiki:Right-delete-usersubpages/en
URL: https://translatewiki.net/wiki/MediaWiki:Right-delete-rootuserpages/en
URL: https://translatewiki.net/wiki/MediaWiki:Action-delete-usersubpages/en
URL: https://translatewiki.net/wiki/MediaWiki:Action-delete-rootuserpages/en
URL: https://gerrit.wikimedia.org/g/mediawiki/extensions/DeleteUserPages/+/a85d45f26a1c75f8b30dc5efcabec64b1ad53c60/i18n/en.json

Event Timeline

Shirayuki created this task.Apr 7 2019, 8:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2019, 8:23 AM
Shirayuki renamed this task from [[MediaWiki:Right-delete-usersubpages/en]] translation issue to [[MediaWiki:Right-delete-usersubpages/en]] should not start with "Can".Apr 7 2019, 8:25 AM
Shirayuki updated the task description. (Show Details)Apr 7 2019, 8:39 AM
Zoranzoki21 moved this task from Untriaged to Message improvement suggestions on the I18n board.
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMay 10 2019, 11:54 PM
Zoranzoki21 renamed this task from [[MediaWiki:Right-delete-usersubpages/en]] should not start with "Can" to Right messages from DeleteUserPages should not start with "Can".May 11 2019, 12:08 AM
Zoranzoki21 updated the task description. (Show Details)

Change 509546 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/DeleteUserPages@master] Replace messages of DeleteUserPages extension for consistency with other messages

https://gerrit.wikimedia.org/r/509546

Shirayuki updated the task description. (Show Details)May 11 2019, 1:01 AM

Change action-* messages, too.

Change 509546 merged by jenkins-bot:
[mediawiki/extensions/DeleteUserPages@master] Replace messages of DeleteUserPages extension for consistency with other messages

https://gerrit.wikimedia.org/r/509546

:(

I will do and action messages. No worry @Shirayuki

Change 509578 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/DeleteUserPages@master] Update action-* messages for consistency with other messages

https://gerrit.wikimedia.org/r/509578

Change 509578 merged by jenkins-bot:
[mediawiki/extensions/DeleteUserPages@master] Update action-* messages for consistency with other messages

https://gerrit.wikimedia.org/r/509578

Zoranzoki21 closed this task as Resolved.May 13 2019, 7:36 PM

Completed.